#header {
  position: fixed;
  background-color: var(--background);
  border-bottom: 1px var(--border) solid;
  box-shadow: var(--box-shadow);
  width: 100%;
  z-index: 9999;
}

.header-wrap {
  padding-left: var(--padding-vertical);
  padding-right: var(--padding-vertical);
}

.header-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.title {
  text-decoration: none;
  font-size: 22px;
  font-weight: bold;
  display: flex;
  align-items: center;

  img {
    max-width: 32px;
    margin-right: 8px;
  }
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: var(--header-height);
}

.menu-toggle {
  display: none;
}

.menu {
  display: none;
  flex-direction: column;
  position: absolute;
  width: 100vw;
  left: 0;
  right: 0;
  top: var(--header-height);
  list-style: none;
  background: var(--background);
  border-bottom: 1px var(--border) solid;
  padding-bottom: 16px;
}

.menu li {
  padding: 24px;
  text-align: center;
  a {
    text-decoration: none;
    font-weight: bold;
    color: var(--tertinary);
    font-size: 16px;
  }
}

.hamburger {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.hamburger span {
  display: block;
  width: 25px;
  height: 3px;
  background: var(--tertinary);
  transition: 0.3s;
}

.menu-toggle:checked ~ .menu {
  display: flex;
}

@media (min-width: 768px) {
  .hamburger {
    display: none;
  }
  .menu {
    text-align: center;
    display: flex;
    flex-direction: row;
    position: static;
    width: auto;
    top: 0;
    left: 0;
    border: none;
    margin: 0;
    padding: 0;
    border-radius: 0;
    background: transparent;
  }
}

@media (min-width: 1200px) {
  .header-wrap {
    max-width: 1200px;
    margin: 0 auto;
    display: block;
  }
}
